## org.apache.batik.parser
Class AWTTransformProducer

    java.lang.Object
      org.apache.batik.parser.AWTTransformProducer

All Implemented Interfaces:
  TransformListHandler

Direct Known Subclasses:
  ViewBox.ViewHandler

    public class AWTTransformProducer

extends java.lang.Object
implements TransformListHandler

This class provides an implementation of the PathHandler that initializes an AffineTransform from the value of a 'transform' attribute.

Field Summary
`protected java.awt.geom.AffineTransform` `affineTransform` The value of the current affine transform.

Constructor Summary
`AWTTransformProducer()`

Method Summary
`static java.awt.geom.AffineTransform` `createAffineTransform(java.io.Reader r)` Utility method for creating an AffineTransform.
`static java.awt.geom.AffineTransform` `createAffineTransform(java.lang.String s)` Utility method for creating an AffineTransform.
`void` `endTransformList()` Implements `TransformListHandler.endTransformList()`.
`java.awt.geom.AffineTransform` `getAffineTransform()` Returns the AffineTransform object initialized during the last parsing.
`void` `matrix(float a, float b, float c, float d, float e, float f)` Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.
`void` `rotate(float theta)` Implements `TransformListHandler.rotate(float)`.
`void` `rotate(float theta, float cx, float cy)` Implements `TransformListHandler.rotate(float,float,float)`.
`void` `scale(float sx)` Implements `TransformListHandler.scale(float)`.
`void` `scale(float sx, float sy)` Implements `TransformListHandler.scale(float,float)`.
`void` `skewX(float skx)` Implements `TransformListHandler.skewX(float)`.
`void` `skewY(float sky)` Implements `TransformListHandler.skewY(float)`.
`void` `startTransformList()` Implements `TransformListHandler.startTransformList()`.
`void` `translate(float tx)` Implements `TransformListHandler.translate(float)`.
`void` `translate(float tx, float ty)` Implements `TransformListHandler.translate(float,float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### affineTransform

    protected java.awt.geom.AffineTransform affineTransform

  The value of the current affine transform.

Constructor Detail

### AWTTransformProducer

    public AWTTransformProducer()

Method Detail

### createAffineTransform

    public static java.awt.geom.AffineTransform createAffineTransform(java.io.Reader r)
                                                               throws ParseException

  Utility method for creating an AffineTransform.

  Parameters:
    `r` - The reader used to read the transform specification.
  Throws:
    `ParseException`

### createAffineTransform

    public static java.awt.geom.AffineTransform createAffineTransform(java.lang.String s)
                                                               throws ParseException

  Utility method for creating an AffineTransform.

  Parameters:
    `s` - The transform specification.
  Throws:
    `ParseException`

### getAffineTransform

    public java.awt.geom.AffineTransform getAffineTransform()

  Returns the AffineTransform object initialized during the last parsing.

  Returns:
    the transform or null if this handler has not been used by a parser.

### startTransformList

    public void startTransformList()
                            throws ParseException

  Implements `TransformListHandler.startTransformList()`.

  Specified by:
    `startTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### matrix

    public void matrix(float a,
                       float b,
                       float c,
                       float d,
                       float e,
                       float f)
                throws ParseException

  Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.

  Specified by:
    `matrix` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta)
                throws ParseException

  Implements `TransformListHandler.rotate(float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta,
                       float cx,
                       float cy)
                throws ParseException

  Implements `TransformListHandler.rotate(float,float,float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx)
                   throws ParseException

  Implements `TransformListHandler.translate(float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx,
                          float ty)
                   throws ParseException

  Implements `TransformListHandler.translate(float,float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx)
               throws ParseException

  Implements `TransformListHandler.scale(float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx,
                      float sy)
               throws ParseException

  Implements `TransformListHandler.scale(float,float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewX

    public void skewX(float skx)
               throws ParseException

  Implements `TransformListHandler.skewX(float)`.

  Specified by:
    `skewX` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewY

    public void skewY(float sky)
               throws ParseException

  Implements `TransformListHandler.skewY(float)`.

  Specified by:
    `skewY` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### endTransformList

    public void endTransformList()
                          throws ParseException

  Implements `TransformListHandler.endTransformList()`.

  Specified by:
    `endTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

Copyright © 2008 Apache Software Foundation. All Rights Reserved.